<?php



$tdatatb_usuarios = array();
$tdatatb_usuarios[".searchableFields"] = array();
$tdatatb_usuarios[".ShortName"] = "tb_usuarios";
$tdatatb_usuarios[".OwnerID"] = "";
$tdatatb_usuarios[".OriginalTable"] = "tb_usuarios";


$tdatatb_usuarios[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatatb_usuarios[".originalPagesByType"] = $tdatatb_usuarios[".pagesByType"];
$tdatatb_usuarios[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatatb_usuarios[".originalPages"] = $tdatatb_usuarios[".pages"];
$tdatatb_usuarios[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatatb_usuarios[".originalDefaultPages"] = $tdatatb_usuarios[".defaultPages"];

//	field labels
$fieldLabelstb_usuarios = array();
$fieldToolTipstb_usuarios = array();
$pageTitlestb_usuarios = array();
$placeHolderstb_usuarios = array();

if(mlang_getcurrentlang()=="Portuguese(Brazil)")
{
	$fieldLabelstb_usuarios["Portuguese(Brazil)"] = array();
	$fieldToolTipstb_usuarios["Portuguese(Brazil)"] = array();
	$placeHolderstb_usuarios["Portuguese(Brazil)"] = array();
	$pageTitlestb_usuarios["Portuguese(Brazil)"] = array();
	$fieldLabelstb_usuarios["Portuguese(Brazil)"]["userID"] = "User ID";
	$fieldToolTipstb_usuarios["Portuguese(Brazil)"]["userID"] = "";
	$placeHolderstb_usuarios["Portuguese(Brazil)"]["userID"] = "";
	$fieldLabelstb_usuarios["Portuguese(Brazil)"]["usuario"] = "Usuario";
	$fieldToolTipstb_usuarios["Portuguese(Brazil)"]["usuario"] = "";
	$placeHolderstb_usuarios["Portuguese(Brazil)"]["usuario"] = "";
	$fieldLabelstb_usuarios["Portuguese(Brazil)"]["senha"] = "Senha";
	$fieldToolTipstb_usuarios["Portuguese(Brazil)"]["senha"] = "";
	$placeHolderstb_usuarios["Portuguese(Brazil)"]["senha"] = "";
	$fieldLabelstb_usuarios["Portuguese(Brazil)"]["ativar"] = "Ativar";
	$fieldToolTipstb_usuarios["Portuguese(Brazil)"]["ativar"] = "";
	$placeHolderstb_usuarios["Portuguese(Brazil)"]["ativar"] = "";
	if (count($fieldToolTipstb_usuarios["Portuguese(Brazil)"]))
		$tdatatb_usuarios[".isUseToolTips"] = true;
}


	$tdatatb_usuarios[".NCSearch"] = true;


	$tdatatb_usuarios[".scrollGridBody"] = true;

$tdatatb_usuarios[".shortTableName"] = "tb_usuarios";
$tdatatb_usuarios[".nSecOptions"] = 0;

$tdatatb_usuarios[".mainTableOwnerID"] = "";
$tdatatb_usuarios[".entityType"] = 0;

$tdatatb_usuarios[".strOriginalTableName"] = "tb_usuarios";

	



$tdatatb_usuarios[".showAddInPopup"] = false;

$tdatatb_usuarios[".showEditInPopup"] = false;

$tdatatb_usuarios[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatatb_usuarios[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatatb_usuarios[".listAjax"] = false;
//	temporary
$tdatatb_usuarios[".listAjax"] = false;

	$tdatatb_usuarios[".audit"] = false;

	$tdatatb_usuarios[".locking"] = false;


$pages = $tdatatb_usuarios[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatatb_usuarios[".edit"] = true;
	$tdatatb_usuarios[".afterEditAction"] = 0;
	$tdatatb_usuarios[".closePopupAfterEdit"] = 1;
	$tdatatb_usuarios[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatatb_usuarios[".add"] = true;
$tdatatb_usuarios[".afterAddAction"] = 0;
$tdatatb_usuarios[".closePopupAfterAdd"] = 1;
$tdatatb_usuarios[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatatb_usuarios[".list"] = true;
}



$tdatatb_usuarios[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatatb_usuarios[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatatb_usuarios[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatatb_usuarios[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatatb_usuarios[".printFriendly"] = true;
}



$tdatatb_usuarios[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatatb_usuarios[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatatb_usuarios[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatatb_usuarios[".isUseAjaxSuggest"] = true;

$tdatatb_usuarios[".rowHighlite"] = true;





$tdatatb_usuarios[".ajaxCodeSnippetAdded"] = false;

$tdatatb_usuarios[".buttonsAdded"] = false;

$tdatatb_usuarios[".addPageEvents"] = false;

// use timepicker for search panel
$tdatatb_usuarios[".isUseTimeForSearch"] = false;


$tdatatb_usuarios[".badgeColor"] = "E07878";


$tdatatb_usuarios[".allSearchFields"] = array();
$tdatatb_usuarios[".filterFields"] = array();
$tdatatb_usuarios[".requiredSearchFields"] = array();

$tdatatb_usuarios[".googleLikeFields"] = array();
$tdatatb_usuarios[".googleLikeFields"][] = "userID";
$tdatatb_usuarios[".googleLikeFields"][] = "usuario";
$tdatatb_usuarios[".googleLikeFields"][] = "senha";
$tdatatb_usuarios[".googleLikeFields"][] = "ativar";



$tdatatb_usuarios[".tableType"] = "list";

$tdatatb_usuarios[".printerPageOrientation"] = 0;
$tdatatb_usuarios[".nPrinterPageScale"] = 100;

$tdatatb_usuarios[".nPrinterSplitRecords"] = 40;

$tdatatb_usuarios[".geocodingEnabled"] = false;










$tdatatb_usuarios[".pageSize"] = 20;

$tdatatb_usuarios[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatatb_usuarios[".strOrderBy"] = $tstrOrderBy;

$tdatatb_usuarios[".orderindexes"] = array();

$tdatatb_usuarios[".sqlHead"] = "SELECT userID,  	usuario,  	senha,  	ativar";
$tdatatb_usuarios[".sqlFrom"] = "FROM tb_usuarios";
$tdatatb_usuarios[".sqlWhereExpr"] = "";
$tdatatb_usuarios[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatatb_usuarios[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatatb_usuarios[".arrGroupsPerPage"] = $arrGPP;

$tdatatb_usuarios[".highlightSearchResults"] = true;

$tableKeystb_usuarios = array();
$tableKeystb_usuarios[] = "userID";
$tdatatb_usuarios[".Keys"] = $tableKeystb_usuarios;


$tdatatb_usuarios[".hideMobileList"] = array();




//	userID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "userID";
	$fdata["GoodName"] = "userID";
	$fdata["ownerTable"] = "tb_usuarios";
	$fdata["Label"] = GetFieldLabel("tb_usuarios","userID");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "userID";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "userID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_usuarios["userID"] = $fdata;
		$tdatatb_usuarios[".searchableFields"][] = "userID";
//	usuario
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "usuario";
	$fdata["GoodName"] = "usuario";
	$fdata["ownerTable"] = "tb_usuarios";
	$fdata["Label"] = GetFieldLabel("tb_usuarios","usuario");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "usuario";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "usuario";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_usuarios["usuario"] = $fdata;
		$tdatatb_usuarios[".searchableFields"][] = "usuario";
//	senha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "senha";
	$fdata["GoodName"] = "senha";
	$fdata["ownerTable"] = "tb_usuarios";
	$fdata["Label"] = GetFieldLabel("tb_usuarios","senha");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "senha";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "senha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_usuarios["senha"] = $fdata;
		$tdatatb_usuarios[".searchableFields"][] = "senha";
//	ativar
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ativar";
	$fdata["GoodName"] = "ativar";
	$fdata["ownerTable"] = "tb_usuarios";
	$fdata["Label"] = GetFieldLabel("tb_usuarios","ativar");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "ativar";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "ativar";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatatb_usuarios["ativar"] = $fdata;
		$tdatatb_usuarios[".searchableFields"][] = "ativar";


$tables_data["tb_usuarios"]=&$tdatatb_usuarios;
$field_labels["tb_usuarios"] = &$fieldLabelstb_usuarios;
$fieldToolTips["tb_usuarios"] = &$fieldToolTipstb_usuarios;
$placeHolders["tb_usuarios"] = &$placeHolderstb_usuarios;
$page_titles["tb_usuarios"] = &$pageTitlestb_usuarios;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["tb_usuarios"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["tb_usuarios"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_tb_usuarios()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "userID,  	usuario,  	senha,  	ativar";
$proto0["m_strFrom"] = "FROM tb_usuarios";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "userID",
	"m_strTable" => "tb_usuarios",
	"m_srcTableName" => "tb_usuarios"
));

$proto6["m_sql"] = "userID";
$proto6["m_srcTableName"] = "tb_usuarios";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "usuario",
	"m_strTable" => "tb_usuarios",
	"m_srcTableName" => "tb_usuarios"
));

$proto8["m_sql"] = "usuario";
$proto8["m_srcTableName"] = "tb_usuarios";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "senha",
	"m_strTable" => "tb_usuarios",
	"m_srcTableName" => "tb_usuarios"
));

$proto10["m_sql"] = "senha";
$proto10["m_srcTableName"] = "tb_usuarios";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "ativar",
	"m_strTable" => "tb_usuarios",
	"m_srcTableName" => "tb_usuarios"
));

$proto12["m_sql"] = "ativar";
$proto12["m_srcTableName"] = "tb_usuarios";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto14=array();
$proto14["m_link"] = "SQLL_MAIN";
			$proto15=array();
$proto15["m_strName"] = "tb_usuarios";
$proto15["m_srcTableName"] = "tb_usuarios";
$proto15["m_columns"] = array();
$proto15["m_columns"][] = "userID";
$proto15["m_columns"][] = "usuario";
$proto15["m_columns"][] = "senha";
$proto15["m_columns"][] = "ativar";
$obj = new SQLTable($proto15);

$proto14["m_table"] = $obj;
$proto14["m_sql"] = "tb_usuarios";
$proto14["m_alias"] = "";
$proto14["m_srcTableName"] = "tb_usuarios";
$proto16=array();
$proto16["m_sql"] = "";
$proto16["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto16["m_column"]=$obj;
$proto16["m_contained"] = array();
$proto16["m_strCase"] = "";
$proto16["m_havingmode"] = false;
$proto16["m_inBrackets"] = false;
$proto16["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto16);

$proto14["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto14);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="tb_usuarios";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_tb_usuarios = createSqlQuery_tb_usuarios();


	
		;

				

$tdatatb_usuarios[".sqlquery"] = $queryData_tb_usuarios;

$tableEvents["tb_usuarios"] = new eventsBase;
$tdatatb_usuarios[".hasEvents"] = false;

?>